Get FeatureLibraryItem by ID
Get a single FeatureLibraryItem by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
feature_library_item_id
ID of the FeatureLibraryItem.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
color
The color of the annotations generated by the Feature Library Item. Must be a valid hex string
createdAt
DateTime the Feature Library Item was created
featureLibrary
The Feature Library the Feature Library Item belongs to
featureType
The type of the Feature Library Item, like gene, promoter, etc. Note: This is an arbitrary string, not an enum
id
matchType
The match type of the Feature Library Item. Used to determine how auto-annotate matches are made
Allowed values:
modifiedAt
DateTime the Feature Library Item was last modified
name
The name of the Feature Library Item
pattern
The pattern used for matching during auto-annotation
Errors
400
Feature Library Item Get Request Bad Request Error
403
Feature Library Item Get Request Forbidden Error
404
Feature Library Item Get Request Not Found Error
429
Feature Library Item Get Request Too Many Requests Error
500
Feature Library Item Get Request Internal Server Error